Bug 1415442 - [abrt] gnome-session: match(): gnome-session-binary killed by SIGSEGV
Summary: [abrt] gnome-session: match(): gnome-session-binary killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0c098393568d73dcb47e1331674...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-22 03:09 UTC by Ed
Modified: 2017-12-12 10:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:48:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (4.37 MB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: core_backtrace (73.66 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: dso_list (8.06 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: environ (9.03 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: maps (37.76 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: mountinfo (3.27 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: open_fds (507 bytes, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-22 03:10 UTC, Ed
no flags Details

Description Ed 2017-01-22 03:09:44 UTC
Description of problem:
after a update gnome could not start , i have to install a alternative window manager for use the computer

Version-Release number of selected component:
gnome-session-3.22.2-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-binary
crash_function: match
executable:     /usr/libexec/gnome-session-binary
global_pid:     1607
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 match at pcre_exec.c:516

Comment 1 Ed 2017-01-22 03:10:10 UTC
Created attachment 1243256 [details]
File: backtrace

Comment 2 Ed 2017-01-22 03:10:11 UTC
Created attachment 1243257 [details]
File: cgroup

Comment 3 Ed 2017-01-22 03:10:13 UTC
Created attachment 1243258 [details]
File: core_backtrace

Comment 4 Ed 2017-01-22 03:10:14 UTC
Created attachment 1243259 [details]
File: dso_list

Comment 5 Ed 2017-01-22 03:10:16 UTC
Created attachment 1243260 [details]
File: environ

Comment 6 Ed 2017-01-22 03:10:17 UTC
Created attachment 1243261 [details]
File: exploitable

Comment 7 Ed 2017-01-22 03:10:18 UTC
Created attachment 1243262 [details]
File: limits

Comment 8 Ed 2017-01-22 03:10:20 UTC
Created attachment 1243263 [details]
File: maps

Comment 9 Ed 2017-01-22 03:10:21 UTC
Created attachment 1243264 [details]
File: mountinfo

Comment 10 Ed 2017-01-22 03:10:22 UTC
Created attachment 1243265 [details]
File: namespaces

Comment 11 Ed 2017-01-22 03:10:23 UTC
Created attachment 1243266 [details]
File: open_fds

Comment 12 Ed 2017-01-22 03:10:24 UTC
Created attachment 1243267 [details]
File: proc_pid_status

Comment 13 Ed 2017-01-22 03:10:25 UTC
Created attachment 1243268 [details]
File: var_log_messages

Comment 14 Carlos Guidugli 2017-01-23 12:31:05 UTC
I believe I am having the same problem. If I update gnome-session, the login screen shows up, but after I log in the screen freezes and do not show the desktop. In order to solve the problem I logged in a console session and downgraded gnome-session packages (gnome-session-wayland-session, gnome-session, gnome-session-xsession.

Comment 15 Ed 2017-01-24 13:47:10 UTC
@carlos: how i can downgrade in my system for test that ?

thanks

Comment 16 Carlos Guidugli 2017-01-25 17:39:08 UTC
Hi, the command I used was:

dnf downgrade gnome-session gnome-session-wayland-session gnome-session-xsession -y

Comment 17 Ed 2017-01-26 02:58:21 UTC
@carlos indeed that solve the problem , using the previous version it work , so this confirm this bug i guess but i think sadly only few ppl is having this bug tho :(

Comment 18 Carlos Guidugli 2017-01-27 02:29:24 UTC
I am uploading a log that has the session after update (with problems) and then another session after doing the downgrade. 

One thing that I notice that happens with the new package is:
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: module_instances: assertion 'funcs != NULL && "instances"' failed
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: module_instances: assertion 'funcs != NULL && "instances"' failed
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: egg_error_message: assertion 'error' failed
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: couldn't find secret store module: (unknown)
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: lookup_login_keyring: assertion 'GCK_IS_SESSION (session)' failed
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: create_credential: assertion 'GCK_IS_SESSION (session)' failed
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: egg_error_message: assertion 'error' failed
Jan 26 23:58:51 myhost gnome-keyring-daemon[2789]: couldn't create login credential: (unknown)

This do not happen with the old packages.

Comment 19 Fedora End Of Life 2017-11-16 14:32:22 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-12-12 10:48:24 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.